tag 1.9
fafc158e8fee9ccf2acd502cc988e0d4f3d891d1
Parnic <chris@parnic.com>
2014-10-14 12:37:11 -0500

Tagging as 1.9 for WoD


--------------------

Parnic:
	- Updated TOC to patch 6.0
	- - Fixed an error when an item slot was specified that the user had no item equipped in.
	- - Made the GCD bar respect bar alpha settings. (ticket #126)
	- - Added support for tracking inventory item cooldowns on a custom cooldown bar. (ticket #123)
	- - Fixed CC bars sometimes not updating and displaying when they should. (ticket #142)
	- - Adjusted min/max icon offset positions for icons on the PlayerHealth bar. (ticket #136)
	- - Fixed how class power counters are scaled so that they don't scale at strange angles when they're off-center. (ticket #130)
	- - Added a "When targeting" mode to custom cooldown bars that will always display the bar when a target is selected and never when no target is selected. (ticket #128)
	- - Fixed CustomCDBar not displaying correctly in 6.0 when in "When ready" mode.
	- - Added option to not show GCD when casting a spell longer than the GCD. Defaults to the previous behavior of always showing GCD. (ticket #120)
	- - Added the ability to track custom units on buff/debuff watchers. (ticket #115)
	- - Fixed bug with the player's mana bar not updating its alpha properly when entering the world (i.e. teleporting/hearthing/etc.).
	- - Added support for WoD variable 3/5 shadow orbs.
	- - Fixed trying to print non-strings as strings in WoD beta. I guess the interpreter has changed a bit and some types are no longer implicitly casted. At least not for now.
	- - Replaced svn-specific project-revision variable with project-date-integer which will sort of more or less kind of serve the same purpose. The full timestamp seemed like TMI and date should be granular enough.
	- - Moved call to CVarUpdate() to happen later in the startup sequence.
	- - Added support for the "custom lag tolerance" setting to the castbar's lag display. (ticket #178 - Thanks slippycheeze!)
	- - Fixed a bug causing combo points to always display in Numeric mode for any class instead of hiding when the player has 0 combo points and 0 anticipation stacks.
	- - Integrated a feature by slippycheeze that enables the current threat target's name to be displayed in the "lower text" portion of the Threat bar. http://www.wowace.com/addons/ice-hud/tickets/176-show-name-of-threat-holder-and-color-based-on-their/
	- - Possibly fixed some NaN/divide-by-zero errors that have been cropping up sporadically lately.
	- - Minor cleanup.
	- - Merged support for displaying Anticipation on the ComboPoints module (thanks MSaint!) http://www.wowace.com/addons/ice-hud/tickets/154-anticipation-enhancement/
	- - Fixed a bug where buff/debuff watchers were not removing themselves from the central Update list when deleted.
	- - r953 broke the "Only show with a target selected" option for self-castable spells set to "when ready" on a cooldown module. Obviously I have too many options in this mod.
	- - Fixed an issue causing cooldown bars set to "when ready" to not display if the player had no target but the spell was castable on the player and ready to be cast.
	- - Added 90 degree rotation as an option for mirror bars.
	- - Removed x-compatible-with in toc since 4.3 is really old and I'm not actually testing against it.
	- - Added support for DogTag strings on buff/debuff watchers.
	- - The "Dismiss" option in pet right-click menus is no longer disabled for Warlocks.
	- - Removed extremely old pop-up messages on startup that were appearing for new users.
	- - Ticket #173: added a toggle to hide the entire HUD during pet battles.
	- - Added a toggle to only show cooldown modules when you have a target selected for abilities that don't require a target to cast, by request.
	- - Updated in-game FAQ to match the web FAQ.
	- - TOC update for 5.4
	- - Added Absorb modules for focus, target, and player.
	- - Added Monks as eligible "tank" classes for the Vengeance module.
	- - Merged Zahariel's support for the Nine-Tailed SnD bonus duration (ticket #174)
	- - Updated TOC for 5.3
	- - Updated TOC for 5.3
	- - Cleaner method for the warlock Shards module to retrieve the current rune mode such that switching to Demonology spec and back doesn't overwrite it. (I currently force the rune mode to 'graphical' or 'numeric' for Demonology spec since nothing else makes sense at the moment.)
	- - 5.2 TOC update
	- - http://www.wowace.com/addons/ice-hud/tickets/145-hunter-pet-dismiss-error/ blacklisted the "dismiss pet" menu entry in pet right-click menus. Hunters should use the Dismiss Pet spell instead.
	- - http://www.wowace.com/addons/ice-hud/tickets/167-shaman-totems-cant-be-clicked-off/ disabled right-click-destroy on totems
	- - http://www.wowace.com/addons/ice-hud/tickets/171-cc-bar-not-showing-monk/ added Monk CC spells
	- - Missed the options module's TOC update for 5.1.
	- - TOC bump for 5.1 - Changed the LIGHT_FORCE constant to CHI because changing constants in shipped code is such an awesome idea.
	- - Fixed PVP icon showing up as a green square for Pandaren who have not yet chosen a faction. This fix applies to TargetHealth and PlayerHealth, but not to DogTag text such as on the TargetInfo frame.
	- - ticket #161: integrated Zahariel's fix for gradients.
	- - Ticket #157 - fixed an error when a channeled spell ends early due to being hit. (Thanks, cg110!)
	- - Fixed an error popping up when you had a target and zoned into an instance as a Monk.
	- - Maybe fixed a PetInfo/TargetInfo buff error that I can't reproduce.
	- - Ticket 152: fixed SnD duration prediction for 5.0.
	- - Fixed Holy Power only showing 3 max on login instead of 5.
	- - Fixed a bug where the shard module could sometimes show zero runes on the graphical display after entering or exiting a dungeon.
	- - Removed level restriction on harmony power since apparently that's not a thing any more. - Fixed the fifth chi not always drawing immediately when changing specs to one that grants an additional chi. - Registered harmony power for the UNIT_POWER_FREQUENT event since that's what Blizzard's version does.
	- - Added another FAQ to the list.
	- - Touched file to get a new package made with fixed localization strings.
	- - Now that the numeric class power frame is being placed via SetPoint instead of SetAllPoints, we don't have to worry about the parent frame's width being correct to avoid truncating the number string; so don't force-update the width on the parent frame any more. - No longer explicitly setting the width on the class power numeric FontString either as we'll just allow it to size to the text instead.
	- - Added support for changing the outline/shadowing of all non-DogTag strings on all modules.
	- - Added support for showing the numeric value on top of a class power's graphical display. This number can also be moved vertically.
	- - Updated non-'graphical' display modes for holy power to not squish the icons.
	- - Removed dead line of code that was using a global variable and then not even doing anything with it.
	- - Fixed a few more instances of using non-local vars named _
	- - Fixed a few missed GetNumPartyMembers/GetNumRaidMembers references. Eventually I'll get all of them.
	- - Added support for Soul Shards and Burning Embers major glyphs changing the total number of available shards/embers.
	- - Fixed a couple of places that I forgot to declare the variable _ as a local which was causing taint due to Blizzard also forgetting to declare _ as a global in the glyph frame.
	- - TOC update for 5.0
	- - Fixed error on login on 4.3 servers as a Warlock. http://www.wowace.com/addons/ice-hud/tickets/147-shards-ui-error/
	- - Fixed a bug in the warlock power module with reloading the ui/logging in while in Demonology spec and having the power module set to Numeric display mode which caused the number to be replaced with an ellipsis. That was a long sentence.
	- - Added support for bar-style class powers that grow left to right instead of just adding a new count or growing individual powers bottom-up. This could really use a background to give a sense of the bar's extents, but I'll leave that for a future improvement. - Added basic support for Demonology spec (Demonic Fury) Warlock power. - Fixed a bug or two in Warlock power presentation when un-speccing or learning a new spec after having been without a spec. - Added support for hiding Warlock power until the requisite spell has been learned because apparently (after looking at Blizzard's code) you can have the spec without having the spell that builds up the power associated with the spec. Okay.
	- - Added Destruction spec (Burning Embers) support to the warlock power module and renamed it from Shard Counter to Warlock Power. Demonology support coming soon. Hopefully.
	- - Added support for ClassPowerCounters to only show up for specific talent specs. - Added Priest Shadow Orbs module.
	- - Updated Paladin and Mage spells for GCD. They seemed to still work with the old, no-longer-existing spells, but that's not guaranteed to stay working.
	- - Updated warrior GCD spell to "victory rush" now that Rend is a passive ability. No ability is available before level 5 that doesn't have its own cooldown, sadly.
	- - Drycoded a holy power module fix for pre-5.0. I don't have a level 9+ paladin on live, so maybe this works?
	- - Expanded holy power to account for the now-5 rune maximum. Not sure what I'm going to do about this layout just yet. The default frame has two below the primary 3, but my class power base class doesn't have support for this type of layout. Will see what the users say. - Fixed the old 3 runes to have appropriate texture coordinates.
	- - Fixed GetLFGMode() errors in 5.0
	- - Removed LibDualSpec pkgmeta 'latest' tag so that we package the most recent alpha (which is 5.0-compatible)
	- - Fixed another WoW 5.0 problem: GetPrimaryTalentTree() -> GetSpecialization() in the Eclipse module.
	- - Changed to grab the most recent rev of AceGUI and LibDogTag since they have WoW 5.0 fixes that haven't been tagged yet. - Added MonkManaBar module.
	- - Created Monk Harmony Power module. - Added localization to HolyPower module description. - Fixed a comment in the Shard module.
	- - Added GCD spell for Monks (WoW 5.0)
	- - Threat module fixes for WoW 5.0
	- - Round 1 of WoW 5.0 fixes.
	- - added code to buff/debuff watchers and cooldown watchers to prevent them from sometimes getting stuck (not updating/animating)
	- - added missing "end" for TargetInfo change from earlier today
	- - drycoded a toggle to enable tooltips when mousing over an Info module to help diagnose a reported error from wowinterface
	- - and now for the correctly-merged version of the cd bar
	- - cooldown bar fixes submitted by JontomXire (thanks!)
	- - don't trigger the ability cooldown bar if the spell in question only has a 1.5 second or less cooldown. this indicates that it's on cooldown as part of the GCD and we have a separate module for GCD tracking
	- - 4.3 toc update
	- - enabled the Totems module for druids since 'wild mushroom' is considered a totem (ticket #137)
	- - only do spell id exact-match checking if "exact match" is set. otherwise, it will compare spell names
	- - updated to accept either a spell id or a spell name for custom bars. this allows tracking of different debuffs with the same name (such as Hemorrhage and its DoT). thanks to Nibelheim on WoWInterface for this one as well.
	- - new 'max health' formula from Nibelheim over on WoWInterface (thanks!)
	- - 4.2 toc update
	- - fixed bug with selecting the last 4 presets. they weren't actually defined.
	- - drycoded possible fix for a reported error
	- - removed the pet happiness DogTag from the PetInfo module default setting
	- - removed all references to pet happiness
	- - toc bump for 4.1
	- - evidently patch 4.1 broke either the BOUNCE animation type or something else about starting/stopping animations broke because the "pulsing" animation for holy power and warlock shards kept growing bigger and bigger over time
	- - fixed custom cooldown bars not working quite right with the 'When ready' display mode. the update subscription query was returning a false positive because a block of code in one of the CD bar's parent classes had already subscribed for updates, but the CD bar wanted to use its own update function.
	- - fixed PlayerInfo to only show the "buff canceling is disabled" message when a buff is right-clicked instead of any button click. also clarified the popup message to better explain why the feature is currently disabled - hid "Low Threshold Color" toggle for the PlayerAlternatePower bar since it doesn't make sense for that module
	- - exposed the "low threshold" option to CC bars by request
	- - added an oft-requested option to treat friendly targets the same as not having a target at all for alpha purposes. this allows people who want the HUD to be hidden when they don't have a target to stay hidden when they target a friendly, for example
	- - fixed a bug where targets with rage or runic power were considered 'empty' (for alpha purposes) at 0. this was causing them to show up when they shouldn't based on alpha settings
	- - made custom (de)buff watcher bars respect the bForceHide option for :Show() so that they are properly hidden when a profile change occurs or they are manually disabled via the options menu
	- - fixed the elite (classification) icon for targets to respect the "lock all icons at 100% alpha" setting
	- - minor initialization order fixups in the alternate power bar - added new option (enabled by default) to have buffs and debuffs in Info modules sorted by expiration time instead of the order the game returns them in (application time?)
	- - ticket #116: first attempt at an honest-to-goodness alternate power bar. i don't raid, so i've only tested this against the alternate power in The Maw of Madness in Twilight Highlands...
	- - fixed typo where TargetMana was initializing a variable in TargetHealth
	- - fixed a case where the GCD bar could get cut off early when spamming an instant-cast spell
	- - GCD stops early if the player aborts the cast or is interrupted
	- - ticket #119: copy alwaysFullAlpha setting to the mirror bar instance
	- - ticket #121 - patch for new visibility mode in CustomBars
mikk:
	- - Added spellids for silence from elemental slayer enchant + unglyphed avenger's shield
Parnic:
	- - made sure the options table gets the LibDualSpec treatment regardless of whether the mod is enabled or not
	- - respect the user's mod-wide "enabled" setting when changing profiles (ticket #117) - also cleaned up some logic that could cause errors when enabling the mod due to a profile switch when the player initially loaded with it disabled
	- - added feature to custom cooldown bars to allow them to show/hide with the rest of the mod instead of having special rules (if desired) - added ability to ignore a spell's range/target castability if desired on a cd bar. this allows the bars to display when a buff is ready even if it can't be cast on your current target, for example
	- - fixed an issue where focusing a unit in combat could cause taint in the FocusHealth module
	- - added new user-submitted bar textures (ticket #111)
	- - hopefully "fixed" (read: worked around) crash that IceHUD was triggering in the client by implementing a Lua-only version of UnitSelectionColor(). the crash was triggered by having DogTags disabled, TargetInfo enabled, and leaving an instance while in combat with one of the instance's mobs targeted (ticket #110)
	- - another attempt at fixing stack overflow related to dropdown menus for secure frames
	- - exposed upper text on snd bar since the string specified there is actually used by the module - disabled the potential duration text when the user has duration alpha set to 0
	- - potentially fix a stack overflow that's been popping up sometimes when mousing over the player health bar
	- - fixed a bug where an error message would pop up when enabling the FocusHealth module while a unit is focused that has a raid icon assigned to it
	- - fixed custom bars not monitoring weapon enchants/poisons correctly - fixed custom bars and cooldown bars drawing at full alpha at all times
	- - fixed the threat bar flickering in configuration mode
	- - added spell ids for holy word: sanctuary and serenity since GetSpellCooldown() is bugged with them by name
	- - converted DHUD skin from blp to tga because it's acting funny as a blp (ticket #106)
	- - made sure that the new custom text colors get set before using them
	- - added custom upper/lower text coloring to custom buff/debuff bars and custom cooldown bars since they don't have any dogtag support - fixed lower text to be visible on custom buff/debuff bars and custom cooldown bars - fixed upper/lower text blocks in the text settings page to not be multi-line if the module doesn't support dogtags so that everything is laid out more cleanly
	- - re-arranged text settings page so that options are laid out more clearly/naturally
	- - split the "buffs per row" setting to exist in both buffs and debuffs sub-groups instead of being a module-wide setting (ticket #103)
	- - added an option to enable/disable mouse interaction on totems
	- - fixed debuffs on info modules not drawing the proper colored border for the type of debuff - fixed buffs not displaying the stealable border for mages if they were stealable
	- - fixed an error when changing from a profile with markers on a module to one with fewer/no markers on the same module
	- - fixed SnD bar (and potential duration bar) to show and hide much more reliably. previously it would sometimes not display the potential duration or the entire module would be visible when it shouldn't be - fixed SnD duration bonus from glyph (to 6 seconds from 3)
	- - fixed some errors that could pop up with totems and custom bars
	- - fixed low threshold flashing on custom bars
	- - added support for custom buff/debuff trackers to be able to track totems by name
	- - fixed layer ordering such that icons draw in front of bars again
	- - minor performance optimizations in class counter modules (holy power, shards)
	- - changed custom cooldown bars back to never forcefully hide themselves when set to 'always' display mode. they will now respect the global transparency settings instead. seems like i can't make everyone happy with this setting but this behavior is the most consistent with the rest of the mod
	- - added user-submitted CleanCurvesOutline texture which allows DHUD-like casting to be placed on top of another bar and only the outline fills up instead of the whole bar
	- - more FAQ updates
	- - added a new FAQ
	- - never register disabled bars for updates
	- - fixed custom buff bars and cooldown bars multiplying alpha values when they shouldn't have been. at low alpha this meant that they were much more transparent than they should have been
	- - fixed pet health/mana modules getting stuck on the player when leaving an instance while on a vehicle
	- - re-fixed a bug causing the player mana module to not update color when a druid left an LFD instance while in a form and was immediately placed back on a mount and not in a form
	- - fixed configuration mode error in the player info module when the player had weapon buffs applied (ticket #104)
	- - patched up the TargetHealth (+ToTHealth +CustomHealth) modules to create the raid icon during CreateFrame() instead of Enable() to ensure that nothing's called in an unexpected order
	- - suppressed reported error in the runes module that shouldn't be able to happen (and i can't reproduce)
	- - added protection against potential nil access reported by a user. i can't reproduce it, though
	- - added a toggle for the "override alpha" behavior that displays class counters at in-combat alpha when out of combat if the counter isn't full/empty
	- - fixed the TargetInfo fixup code to only run once per profile instead of every time
	- - minor update to force a full redraw when entering/leaving an instance to help make sure the runes are in a good state
	- - set runes back to coloring themselves instead of having a gray border and maybe fixed the issue where the wrong texture could get applied to death runes
	- - fixed markers generating errors or just misbehaving when changing profiles (ticket #102)
	- - don't force-set the color of each rune since they're already set in the texture. this does remove the nice border coloration we had before, but oh well. setting colors on colored textures is bad.
	- - fixed PlayerInfo module misbehaving with temporary weapon enchants
	- - minor optimization in the threat bar - fixed threat bar to display properly again - added support for pets to the second highest threat feature
	- - fixed the GCD bar not animating
	- - mana modules animate regardless of 'predictedPower' setting now - fixed occasional flickering in the cast bar and threat bar when they are first displayed - minor code cleanup
	- - better fix for cast bars getting stuck sometimes - reinstated the code that was shutting off updates when a bar reached its desired scale
	- - reverted r761
	- - disabled an optimization that was overstepping its bounds and causing issues
	- - set the minimum update frequency to 0.067 (15 per second) because anything less just looks awful - clamped the update frequency on every load to force it to >= 15
	- - same fix as r763, but for the player's cast bar this time
	- - fixed the player's health and mana bars monitoring the wrong unit whenever the player leaves an instance while in a vehicle
	- - fixed markers not updating when a bar's inverse mode is changed - fixed markers not rotating with a bar when the rotation option is set at runtime
rokiyo:
	- - Suppress bar animations if update rate is less than 15/sec
	- - Reunited a local declaration with the code that used it.
	- - fixed buffs tiling in the wrong direction
Parnic:
	- - pedantically replaced sets of spaces with tabs. i'm that guy.
	- - fixed the eclipse bar turning gray when adjusting settings that caused a Redraw()
rokiyo:
	- - Fixed not being able to set icon sizes for debuffs - Rearranged the config screen for Info modules
Parnic:
	- - markers are now created at the proper alpha instead of 100%
	- - changed the 'update period' slider to represent number of updates per second instead of seconds between updates. now higher is more frequent and lower is less frequent which makes more sense to users
	- - fixed text staying hidden when disabling and re-enabling a module
	- - fixed an error popping up whenever a user had icehud disabled in its settings and tried to access the config page
	- - added LibDBIcon to the options module so that the minimap icon is toggleable again
	- - fixed a misplaced 'self'
	- - ripped ~1.3mb out of IceHUD itself and moved it into an LoD IceHUD_Options addon
rokiyo:
	- - removed check for shouldHideBarRotation, since all bars can now be rotated.
	- - Fixed Threat module's aggro bar positioning incorrectly - Fixed combining expand & reverse modes causing bars to position incorrectly. - All empty bars now skip resizing calculations and just Hide() immediately. - Threat & SnD modules now use the new bar resizing system. - Enabled expanding fill for SnD module
	- - Added support for rotated markers. - Enabled bar rotation for the Eclipse module.
	- - Added support for rotation in the new bar resizing system. - Enabled bar rotation for the CastBar module.
	- - Refactored how bars are created and resized. - Enabled the "expand" bar fill for the PlayerHealth module.
	- - Fixed: Markers stuck in inverted mode.
	- - A more fool-proof method for late font registration.
	- - Handling late font registration by using a default font while we wait for a callback.
Parnic:
	- - made all buffs/debuffs display on the info modules when in configuration mode - compressed buffs/debuffs on the info modules so that they will not make room for a large buff if the previous row never had a large buff on it. this fixes every row being separated by enough vertical space to make room for the larger of "buff size" and "own buff size" settings
	- - borrowed some code from PB4 to properly hide the DK Rune frame when the player frame is not hidden
	- - made class power counters continue to display as long as they're not full/empty (depending on the class)
rokiyo:
	- - Unbreaking some modules that broke in r731
Parnic:
	- - better fix to make sure modules always re-register for updates if they need to when they're shown
	- - made castbars always register themselves for updates when shown. fixes a bug where opening the map fullscreen while casting will stop the cast bars from updating (ticket #97)
rokiyo:
	- - Most modules now support a new bar filling mode: Expanding outwards from the middle.
	- - Never skip resizing player's own auras on redraw. Stops them resetting to normal aura icon size on UI reload.
Parnic:
	- - shamelessly ripped off code from pitbull4 to replace "set focus" with instructions on how to do so. begone, focus error reports!
rokiyo:
	- - Erroneous white space? I don't know what you're talking about... ¬.¬
	- - Aura handling cleanup. Duplication is evil!
Parnic:
	- - added a check for the player's mana type when PLAYER_ENTERING_WORLD fires so that we adjust properly when entering/leaving instances
	- - fixed yet more closure garbage being generated in the totems module. eventually i'm going to find all of it.
Rokiyo:
	- - Vengeance module now recycles tables instead of creating new ones all the time.
Parnic:
	- - fixed the target cast bar to not freeze up and reset itself whenever a UNIT_SPELLCAST_INTERRUPTIBLE / UNIT_SPELLCAST_NOT_INTERRUPTIBLE event fires
	- - fixed the cast bar to actually use the CastChanneling color when channeling. since this was apparently never hooked up, i also changed the default color for CastChanneling to match CastCasting so that long-time users won't notice the difference unless they've explicitly set a channeling color themselves
	- - fixed an error introduced in 1.7.2 where the playerinfo's dropdown menu was trying to use the target's data instead of the player's data - prevented the issue coming up in the future for petinfo as well
	- - fixed an error that could crop up when tweaking colors
	- - fixed bars that don't support dogtags in their text blocks to say so in the tooltip instead of telling the user that they can use dogtags when they can't
	- - fixed late registration of textures via LibSharedMedia so that the ToT bar texture gets updated appropriately
	- - made height of the ToT frame configurable by request
	- - extended vertical offset min/max for info modules (ticket #92)
	- - fixed the Eclipse bar not showing up since 1.7.2
	- - plugged a hole in the logic from r710 that could potentially cause a player to lose their lacerate/sunder/maelstrom module without creating a replacement custom counter if they never changed anything in the configuration for it (there would be no entry in the SavedVariables)
	- - attempt at auto-removing sunder/lacerate/maelstrom modules on load if the player has them enabled. this will automatically create a custom counter behind the scenes since those are much more fully-featured
	- - hid the "rotate 90 degrees" option on cast bars and eclipse bars since it just doesn't work very well and looks bad. users keep reporting that these are broken when rotating and since i don't have a good fix, i'm disabling the feature for now
	- - unified the behavior for configuration when a module is disabled. now the sub-configs (marker/text/icon settings) remain clickable but every element inside is disabled when the module is disabled. previously some sub-configs were not clickable at all and others were
	- - removed most of the rest of the garbage that was being generated during combat or when changing targets - reduced cpu usage by 33%-50% across the board (and more in some cases) by changing how updates are registered and how often they run. now the 'update period' slider actually matters. it defaults to 0.033 meaning that frames update about 30 times a second instead of every frame - fixed the "always" display mode for cooldown bars to respect alpha settings (ooc/with target/in combat/etc.)
	- - set X-WoWID metadata
	- - added level restrictions to shard and holy power class counters since players under 9/10 (different per bar, using constants provided by Blizzard) don't have those resources available yet
	- - finally (for reals, hopefully) fixed the gcd for all classes. gcd is a surprisingly difficult problem as there's no straightforward api for it
	- - largely untested (no errors on load) fix to the vengeance module not grabbing the player's max health until a UNIT_MAXHEALTH event fired
	- - set AceGUI-3.0-SharedMediaWidgets to load after LibSharedMedia
	- - drycode-moved LibDualSpec initialization from OnInitialize to OnEnable after the modules' frames are created and ready to go. maybe it'll actually work too!
	- - changed the pet health/mana bars to monitor the player whenever the player enters a vehicle since the player bars already change to display vehicle info in that situation
	- - added AceGUI-3.0-SharedMediaWidgets support to the font selection box and ToT bar texture selection
	- - fixed a bug causing bar font size adjustments to not take effect/display until a ui reload
	- - super temp hax to make the custom cd bar work with "Holy Word: Aspire". none of the spell api functions work when that spell is passed by name but they do work with the spell id, so i built a table of names => ids that gets checked before calling any api's
	- - missed a 'local' on a table in IceCore. whoops.
	- - added local copy of _G.IceHUD to modules that reference it frequently for a minor lookup speed boost
	- - added description text to each custom module explaining what type of module it is. it was pretty difficult to figure out what kind of custom module you were looking at in the config after you created it
	- - minor garbage generation fix (thanks Torhal!)
	- - fixed SetBottomText1 to propertly set text colors on the upper text line - eclipse bar now colors the numerical value to whatever direction the bar is heading
	- - more minor fixes to vengeance text formatting
	- - fixed Vengeance module to work for all classes
	- - initial rev of 'vengeance' module submitted by user Rokiyo
	- - fixed the lag bar being completely wrong when using a meeting stone to summon someone. (no UNIT_SPELLCAST_SENT event is fired that instance so lag can't be computed)
	- - put "tag: latest" back onto LibDogTag and LibDogTag-Unit
	- - very minor perf gain by not doing the per-frame update on invisible modules - nuked the primary offender of garbage generation. there is more to get rid of but finding it is a tedious process
	- - fixed error caused by disabling click targeting on the targethealth frame
	- - added option for non-dogtag users to hide each line of text on the TargetInfo module individually
	- - fixed totem module not resetting totems when going through a load screen (entering/leaving instance, etc.)
	- - fixed 'inverse' mode to work with potential SnD bar - expanded range of class power counters (shards, holy power) by request - fixed lacerate and sunder count modules to work with 3 max charges instead of 5 as per the new patch (these *really* need to go away and be auto-replaced by custom counters...) - yet another fix for text sometimes displaying the unit name for PetHealth - fixed how the 'second highest threat' bar is drawn so that it actually works with all textures
	- - removed ClickCastFrame unregistration to avoid problems with people who have the older version of clique (basically everyone)
	- - cleanup of mouse interaction for all modules
	- - fixed "allow click-targeting in combat" option for the new version of clique
	- - more fixes for compatibility between clique and the info modules
	- - setup clique unregistration for whenever the new clique changes go live
	- - RIP HungerForBlood module
	- - only create the fontstring for upper/lower text if it doesn't already exist. (sigh, garbage generation)
	- - fixed "bar visible" checkbox to also hide/show the solar portion of the eclipse bar
	- - fixed lower text popping back up when it shouldn't
	- - fixed snd glyph detection due to new return value on GetGlyphSocketInfo
	- - fixed certain buffs not displaying a tooltip on mouseover in the info modules
	- - fixed ability to set 'max count' to 0 and screw up a custom counter
	- - fixed bar text not properly hiding on bars that use RegisterUnitWatch to control visibility
	- - fixed scaling to affect the text and icons again like it used to
	- - added pulsing to the shard counter and holy power modules whenever they are maxed out. if this feature goes well then it should probably be ported over to the existing counter modules as well
	- - added option to use out-of-combat alpha on class power bars (holy power, shards) when targeting a friendly
	- - fixed icons on the target health bar not always hiding when they should
	- - potentially fixed reported error message though i've never seen it pop up myself - fixed one instance of some global taint (neglected to declare _ as a local var)
	- - fixed icons rotating with bars incorrectly when setting bar to be rotated 90 degrees
	- - fixed default rune frame showing up sometimes when the player has the "hide blizzard frame" option disabled in the runes module - fixed default runes from being incorrect (showing 6 blood runes) after re-enabling them from the runes module while the game is running
	- - drycoded a potential fix for configuration mode no longer working as of 1.7.0.3
	- - fixed CC module spell id's by removing spells/effects that no longer exist, adding some new ones, and updating id's of ones that have changed
	- - fixed entangling roots spell id's
	- - fixed text on bars using RegisterUnitWatch to be hidden properly (more fallout from the change in r644 - this was specific to people that had dogtag support disabled)
	- - more fixes to frame reparenting (from r644 - attempts to fix text when bars are rotated)
	- - attempt to fix ticket #81
	- - fixed text getting rotated along with bars when choosing the "rotate 90 degrees" option
	- - hopefully fixed gcd module to work for all classes without relying on specific spell ids
	- - fixed Blizzard's default runes to be properly hidden when the default player health frame is left enabled
	- - removed x-compat
	- - toc bump to 4.0 - removed LibHealComm-4.0 from OptionalDeps
	- - fixed rotation of inverted bars to draw the bar correctly - better method of turning the player and pet casting frames back when enabling the "show default cast bar" option in the player cast bar
	- - added ability for spell ids to be specified instead of names for custom bars and cooldown bars. when an id is typed it will attempt to resolve to the buff name
	- - minor change to pick up loc fix
	- - made sure to call UnregisterUnitWatch whenever the FocusHealth or a CustomHealth module is unloaded
	- - fixed /icehudcl to actually work again as a command-line interface to the options table (surprised this wasn't reported) - made the OpenConfig method able to close the dialog if it's already open. this restores old behavior that was lost in the move to ace3
	- - removed the "abbreviate health" option from the focus health bar if the user is using dogtags since it doesn't apply then - fixed the SnD potential bar to rotate properly with the main bar
	- - hid the "Low Threshold Color" option on custom bars and cooldown bars since the option doesn't apply to them - updated the description of a few "low threshold" settings so they make more sense to users (don't reference variable names)
	- - fixed the "low threshold" flash to work properly on rotated bars
	- - fixed incoming heal bar to display properly on 4.0 clients
	- - don't auto-hide the incoming heal bar when LibHealComm isn't available if the user is on 4.0
	- - added user-requested option to specify the space between each buff/debuff on the info modules
	- - tiny spacing update
	- - now that Eclipse doesn't decay, use the appropriate alpha value regardless of whether or not the user has some power left over. it used to stay at the "in combat" setting until the bar was back at 0 - fixed a bug with "hidden" mode for inactive shards/runes where the unactivated runes would show up darkened when changing targets out of combat
	- - added new DHUD bar texture set and alternate elite/rare icons by request (ticket 80). the earliest place we found these textures was in the original DHUD which has no license at all, so it should be okay to use them. they are called DHUD in the mod, so it's clear that i'm not trying to pretend that we made them up or they are unique to IceHUD
	- - added the ability to further customize the shard and holy power modules by displaying all the existing custom counter textures in place of shards/holy runes and colorizing them based on how many are available
	- - added highlighting around buffs on the targetinfo module (and other *info modules) that are spellstealable if the player is a mage
	- - allowed pvp and party role icons to be offset more
	- - evidently i neglected to add acelocale to pkgmeta back in r615 when localization came online. oops.
	- - fixed a bug where cooldown timers wouldn't always reset when an ability was brought off cooldown early
	- - replaced GetMasteryIndex with GetPrimaryTalentTree to work with the latest beta
	- - localized a few more strings
	- - first shot at localization of all configuration settings in IceHUD using AceLocale. note that all of these conversions were generated programmatically so it's possible that something went awry...very casual testing seemed okay, however.
	- - added the ability to duplicate an existing custom bar
	- - added LibDBIcon to optional deps
	- - apparently i had the LibDualSpec git path wrong. i should probably install TortoiseGit at some point
	- - setup the toc to properly strip out embeds.xml whenever it's building a no-lib version. wow, this has been broken forever. nice. - added support for LibDualSpec-1.0 - wrapped a bit of debug code in --@debug@
	- - added some more protection against people tweaking settings or changing profiles while in combat and added a warning message explaining that stuff could be broked if they manage to do it anyway - fixed cooldown bars that are set to "when ready" to be properly hidden when the module is disabled or profiles are changed
	- - added calls to disable updates on custom modules as they are disabled so that they don't stick around on screen when they shouldn't
	- - minor fixes to enabling a module and how updates are handled that should allow custom modules to react appropriately when they are enabled while a player has the buff they're monitoring
	- - fix for custom modules generating a ton of errors if they're disabled while active (such as when changing profiles). there is still a bug where they stop running their updates like they're supposed to, but this will at least take care of the error spam
	- - added a tooltip to the LDB launcher
	- - set custom counters to display out of combat if they are not 0
	- - nuked the HungerForBlood module if the user is on a 4.0+ client since the ability is going away
	- - minor cleanup of the GCD module to make it (hopefully) more reliable - doubled the maximum width of the rangecheck frame to ideally knock out the occasional complaint that certain fonts make the text spill onto a second line (never seen that myself)
	- - moved all "icons" settings from being under a header to being in their own group. this should unify the "icon settings" features of all modules
	- - added party role icon to TargetHealth module (and CustomHealth by virtue of inheritance)
	- - minor cleanup of unused stuff in IceCore - fixed the GCD to update its bar color as the user changes it instead of requiring re-enabling the module or reloading the ui - clarified some tooltip text on the TargetInfo module's text blocks - added DogTag support to the ToT module by request
	- - fixed the GCD module to be available in the module settings list again - tweaked options visibility and made 'bg visible' work on the GCD module
	- - fixed a bug where the combat icon would get stuck if you went into combat when resting but had the resting icon display disabled - made the combat icon replace the resting icon if you go into combat while resting and then switch back to the resting icon (if appropriate) when dropping combat
	- - changed all step = 10 to step = 1 by request - widened range of possible vertical offset values for the custom counter module by request
	- - fixed the mirror bar: changed function declaration "class.new" to "class:new" in IceCore_CreateClass so that "self" doesn't get included in ... when init is called. this was causing an off-by-one error in the order of parameters passed to mirrorbar's "init" method and surprisingly didn't break anything else (looks like judicious use of 'ifs' in some defensive coding saved the rest of the modules); thanks to mitch0 for the report - added an argument to IceElement's init function that allows modules to skip the registration with the core. mirrorbars need this since they are created on demand and not saved with the rest of the bars
	- - removed the last remnants of Ace2 (AceOO-2.0 and AceLibrary) thanks to a huge amount of help from ckknight for metatables
	- - fixed up several "hide blizzard frame" options to re-display when the module is disabled and to call blizzard's OnLoad for the frame instead of manually entering every event to re-register - fixed "show incoming heals" option to be properly toggleable on 4.0 (bad conditional on the 'disabled' option) - hid "cooldown mode" option on the totems module since there was never more than one choice
	- - re-added "enabled" checkbox in the settings to allow users to completely enable/disable the mod (this seems to have been something we got for free with one of the ace2 libraries and is no longer present after the move to ace3)
	- - registered callback for media updates from LibSharedMedia so that the mod can be refreshed if necessary
	- - added libstub to pkgmeta/embeds. why wasn't it there already?
	- - minor optimization of frame rotation by un-registering the event listening for animation completion after it has done its job - made GCD module animation smooth by utilizing the existing animation system instead of trying to run another repeating timer over the top
	- - fixed up a few areas that were expecting moduleSettings.markers to be non-nil; this isn't the case on user-created custom bars that existed prior to the marker code coming in - hide the marker settings on the GCD module as they don't make much sense to have there
	- - after renaming a custom module, set the mod to automatically select it in the options menu
	- - added setting to hide the new marker settings for certain bar types - hid marker settings for the eclipse bar since it controls the placement and defines a single marker itself
	- - added support for defining markers on any bar (ticket 75)
	- - added rough implementation of horizontal bars by abusing some features of Blizzard's UI animation system. we'll see if there's any actual demand for this to determine if the feature needs to be improved at all
	- - fixed up a couple more modules with an empty 'animation settings' header and some too-long options that were being ellipsised (is that a word? it is now.)
	- - big giant options screen usability cleanup: - colorized the FAQ and Module Settings description text to be more readable - removed custom coloring from certain options that didn't match the rest - hid a few debug-only settings - consolidated all the 'create custom module' buttons into a drop-down + create button - clarified description of some options so that their intent/purpose is more clear - moved around/cleaned up headers for consistency - doubled the width of long options so that they don't get cut off and ...'d
	- - AceSerializer isn't packaged with the addon just yet since its usage is still in development, so don't error out if LibStub can't find it
	- - fixed a bug introduced in r570 where custom modules had to be deleted twice before they'd go away (they were registering themselves twice) - made all pop-up dialogs display in the tooltip strata so that they draw on top of the options screen. each pop-up resets itself to dialog once it's hidden - made custom modules get auto-selected in the options screen after they're created
	- - removed Deformat as it's no longer necessary - removed FuBarPlugin from the toc since it's not used any more
	- - added basic implementation of Druid Eclipse bar for balance druids
	- - removed a few old CancelScheduledEvent calls on bars that weren't actually scheduling any repeating timers any more and added a few CancelTimers to modules that weren't previously canceling their scheduled timers - converted CancelScheduledEvent to CancelTimer for modules that are still scheduling repeating timers...not sure why CancelScheduledEvent didn't throw any errors (since i don't see how it exists) but whatever - removed a bunch of "function() self:Thing() end" closures in ScheduleRepeatingTimer calls that didn't need to be there
	- - fixed FocusMana to actually work
	- - abstracted the HolyPower module's functionality to a ClassPowerCounter module since the warlock shard bar is functionally identical to holy power - added shard bar inheriting from ClassPowerCounter. same basic functionality as the holy power module: graphical mode that shows the default shards and numeric mode that just displays a count of active shards
	- - replaced AceEvent-2.0 with AceEvent-3.0/AceTimer-3.0
	- - fixed reported taint issue from people joining or leaving a party in combat with the "hide blizzard party frames" option set on the PlayerHealth module
	- - updated all UnitPower* code to use the SPELL_POWER_* constants instead of hardcoding numbers...mostly just a readability change
	- - fixed a bug where custom counters were not getting reset on target change or player death. this could cause an issue where the counter would not update when it should
	- - potentially fix some text overflow issues that were reported with the range finder
	- - added LibDBIcon to bring back the minimap icon
	- - don't hide the Blizzard version of Holy Power by default since we're not hiding the Blizzard player frame by default
	- - removed FuBarPlugin-2.0 as it's no longer used
	- - added a bit more user friendliness to the new configuration page. efforts to increase awareness about how to setup the mod and get help are ongoing
	- - added a message to the PlayerInfo module when trying to dismiss a buff in cataclysm explaining that the API is currently protected and unable to fixed. this will be removed when Blizzard gives us a way to work around it - added upgrade detection to alert users that their profile may need to be re-selected if the last version they ran was pre-ace3-conversion - added an FAQ section to the /icehud configuration page so that users don't have to go to one of the addon hosting sites to get their questions answered
	- - tweaked rune width/height to match blizzard's default
	- - added basic implementation of Holy Power for Cataclysm Paladins. has a graphical mode (basically matches Blizzard's built-in frame without the background) and numeric mode (which just displays the number of runes active as 0/1/2/3)
	- - modified last commit to use a new local variable for the UnitGroupRolesAssigned check in order to avoid stepping on a different usage of "role" in the surrounding code
	- - updated UnitGroupRolesAssigned check for the new return value
	- - added proper color for player focus (cataclysm hunters) on the PlayerMana module - minor documentation fix for the incoming heal notification on the player health bar to indicate that it requires either libhealcomm-4 or cataclysm to function
	- - embedded libdatabroker and removed old fubar code
	- - updated to use UnitGetIncomingHeals instead of LibHealComm when running cataclysm client. doesn't seem to work with HoTs at the moment, so that's something to keep an eye on as the beta progresses
	- - set LibRangeCheck and LibDogTag(-Unit) to pull from trunk instead of the latest tag in order to pick up cataclysm fixes - set X-Compatible-With to 40000
	- - fixed runes 'alpha' mode display for cataclysm (also works on live realms). apparently RUNE_POWER_UPDATE no longer passes 'usable' as the second argument, so usability needs to be grabbed from GetRuneCooldown instead
	- - converted most of the mod to ace3. the only ace2 remaining is AceEvent-2 (probably easy to get away from) and AceOO-2 (not so easy) - the ace3 conversion also broke the dependence on Waterfall and gave a much better configuration screen through AceConfigDialog; plus Waterfall is very broken in Cataclysm and it's unclear whether anyone will bother to fix it or not - fixed a bug with the custom CD bar when changing profiles where it would generate endless errors until a reloadui - removed DewDrop library as it was no longer in use - temporarily removed FuBar plugin as it doesn't work as a mixin with AceAddon-3. i will eventually be bringing this back in some form (before the next full release version) - removed an unused 'about' button on the config page and some empty headers...not sure why they were ever there
	- - simplified GCD module to pass the spell id when calling GetSpellCooldown; apparently this didn't work at some point in time but was fixed around 3.3.2ish and works in cata as well
	- - missed an event registration for UNIT_HAPPINESS in PetHealth; changed to UNIT_POWER for cataclysm
	- - fixes for cataclysm: added UNIT_POWER/UNIT_MAXPOWER event registrations in place of all the old power types, fixed mirror bar, targetinfo, and targetoftarget SetScripts to pass 'this' and 'arg#' around where necessary - still broken for cata: GlobalCoolDown module, LibDogTag (needs to be fixed by one of its maintainers or I need to port to LuaTexts...fixing dogtag would be vastly easier), and Waterfall (not sure what to do about this one just yet)
	- - forcibly set bar upper/lower text width to 0 after setting their contents so that they auto-resize to the proper width. some massive bar/font sizes were causing strings to get cut off
	- - fixed potential taint issues on PetHealth bar by using (Un)RegisterUnitWatch instead of manually showing/hiding it
	- - added focustarget and pettarget as valid units to look for buffs/debuffs on with a custom bar - made custom bars able to track auras (buffs with no end time like paladin auras, righteous fury, stealth, etc.)
	- - fixed a few taint issues in the ToTHealth and CustomHealth modules - removed some duplicated code in CustomHealth for click-targeting
	- - fixed a few edge cases where custom cooldown bars would not display when the spell was ready and the bar was set to "when ready" mode. this could happen if the player ran out of mana then gained enough back to cast the spell or for ranged spells where the target moved in and out of range
	- - added generic custom health and mana bars so that users can monitor any unit they want complete with click-targeting/-casting
	- - added click-targeting to pet health module
	- - added optional scaling to spell icons on the cast bars, custom bars, and cooldown bars
	- - fixed bars disappearing when they were set to reverse and they filled up - also fixed an issue where deleting a custom cooldown bar while it was set to "always" display would cause it to get stuck on the screen until the next UI reload
	- - fixed an issue where right-clicking weapon buffs in the PlayerInfo module wasn't canceling weapon buffs - fixed an issue where weapon buff cooldowns would flicker every second in PlayerInfo - fixed an issue where canceling weapon buffs would sometimes cause a duplicate to stick around in PlayerInfo
	- - fixed a bug with custom cooldown bars that would cause the bar to flash if a maximum duration was specified higher than 1.5
	- - added better explanation of the difference between 'inverse' and 'reverse' in the settings screen - added fixup code to move a user's setting from 'reverse' to 'inverse' since the definition has changed
	- - moved the xor method out to IceHUD instead of being a CastBar local function - made second threat bar and aggro bar behave properly with new invert/reverse
	- - forgot to fix channeling's lag bar to behave properly with all the new combinations of inverting/reversing
	- - fixed the player cast bar's lag indicator for all combinations of inverse and reverse options
	- - user-submitted patch for an 'invert' option in addition to the 'reverse' option for all bars. now 'reverse' controls bar movement direction while 'invert' controls bar fill behavior http://www.wowace.com/addons/ice-hud/tickets/73-reversing-cast-bars-and-channels
	- - fixed TargetTargetHealth module from not hiding when the player was the ToT and the self-display mode was set to "hide"
	- - WIP version of optionally hiding TargetOfTarget modules if the player is the active target. everything seems to work except for TargetOfTargetHealth and I'm not quite sure why yet...need to check it out further
	- - added individual checkboxes to show buffs/debuffs in any info module that derives from (or is) TargetInfo (which should be all of them)
	- - added user-submitted Role icon to the PlayerHealth bar for random dungeon groups (Thanks Grim Notepad!)
	- - fixed an issue where a disabled custom bar was always showing its icon as the default IceHUD icon and was not being properly hidden
	- - added a "second highest threat" overlay to the Threat module that shows where the next-closest person is on the threat bar (in terms of their raw threat value divided by yours) iff you're the current tank. this is untested in a raid environment, though it should work. also, the second bar doesn't animate. i don't really think it needs to, but it could be made to if desired
	- - if "always display at full alpha" is checked for slice and dice bar, then don't let it hide itself
	- - switched UnitMana* calls to UnitPower* calls as that seems to be the replacement Blizzard is using in cataclysm
	- - fixed the slice'n'dice duration bar from not showing up when one of its alpha values is set to 0
	- - when a custom CD bar is set to "when ready" display mode, it will only display an empty bar. therefore, empty should behave like full for the purposes of alpha ooc/target/etc. settings
	- - fixed "when ready" option for the custom cooldown bar not working as intended (it was showing when ready OR cooling down)
	- - added an option that allows a custom bar to track a substring or full name at the user's discretion. previously it was always a substring match. this was causing a custom bar for "trauma" to also trigger for "mind trauma", for example.
	- - fixed maximum duration configuration not working for cooldown bars
	- - fixed a bug where the player's icons (specifically seen with the party leader icon) would go full alpha when they first appeared instead of the proper alpha value
	- - changed DK GCD spell to death coil from plague strike
	- - reverted r500 because it was causing taint
	- - fixed pet health to be colored properly whenever the "color bar by health %" option is checked
	- - set the default bar texture back to roundbar - split the buff/debuff filter into a buff filter and a debuff filter
	- - possibly fix weird issue where GetClassColor could be called with a function argument from somewhere...I can't reproduce the error, but several people have reported it, so this ought to fix it.
	- - it's probably a good idea to get rid of the default bar texture being RoundBar since CleanCurves looks so much nicer. this should give new users of the mod (and people who don't know that other textures are available) a nicer-looking default setup
	- - fixed a problem with the cast lag indicator for channeled spells that i caused in an attempt to fix the lag indicator not working for reversed bars
	- - attempt to fix button mashing while casting channeled spells causing the cast bar to get cut off when it wasn't supposed to. needs user testing before going live
	- - added an optional icon to the player and target casting bars that shows which spell is being casted/channeled. default is off
	- - fixed the cast lag indicator, the incoming heal indicator, and aggro pull indicator to draw on the proper area of the bar when the bar is set to reverse direction
	- - fixed up the clickable frame for player and target to be hidden/unclickable when the bar alpha is at 0
	- - fixed the incoming heal bar being invisible sometimes (such as the bar alpha being 0 when OOC, >0 when not full, and the player being OOC with a non-full bar)
	- - added ArcHUD clickable area fixes to the target health bar as well
	- - fixed the player's clickable area when using the ArcHUD texture to be on the outside edge of the bar instead of the inside
	- - added oft-requested combo points bar
	- - user-submitted change care of JX: Added mechanism to provide common throttled updates to all bars, even those that are hidden. Added "Display when ready" option to Custom Cooldown bar to replace "Display when empty" toggle. Modified Custom Cooldown bar to use common throttled updates. This should be rolled out to all bars eventually. Tidied up display of spell icons in Custom Cooldown bar. There was a problem with the appropriate aura icon not being loaded correctly until the spell had fired.
	- - made sure to unregister OnUpdate in custom bars and cd bars after the bar is hidden - added the spell icon functionality from the custom bar to the custom cd bar
	- - made sure to set the custom bar's buff icon to draw on top of the bar - fixed the custom bar to call up to the super's version of TargetChanged so that the internal "i has a target" property is kept updated - made custom bar weapon buffs display an appropriate icon
	- - fixed the non-interruptible check to work for the target cast bar's TargetChanged event - fixed :Redraw from causing a cast bar to draw gray and stop updating (could happen if spell interruptibility changed mid-cast)
	- - fixed bug introduced in r485 that prevented the target cast bar from showing up when changing targets while the target is casting
	- - added an optional icon to be displayed alongside a custom bar that shows what spell the bar is tracking. default is off
	- - minor cleanup of the animation/scale-setting code to avoid duplicating chunks of code
	- - integrated a user-submitted cleanup of how we were managing bar texture clipping after 3.3.3's mess. this binds the texture to the frame and calls SetHeight on the frame instead of the texture as well as unifies the "reverse direction" behavior a bit
	- - added protection against giving a custom bar/cooldown/counter an empty name causing it to disappear from the options list
	- - added theoretically-functional feature to display a different cast bar color (red by default) if a target's spell is non-interruptible. took implementation from blizzard frames (including mid-cast event hook) but largely untested. enabled by default.
	- - made "Reverse direction" option be grayed out if the bar is disabled
	- - added "maximum duration" feature to cooldown bars by request
	- - fixed a bug i caused in a user-submitted feature
	- - added some code to hide a bar if its height would have been set to 0. not sure why, but GlowArc and HiBar are having issues with zero-height bars, so this seems to fix it without needing to figure out what's up with the texture
	- - added user-submitted "max duration" functionality to custom bars such that they can always be a fixed time period
	- - fixed a couple of issues that could cause the SnD bar to display incorrectly
	- - fixed an issue causing a weird shadow to appear on the player health bar without LibCommHeal-4.0 installed
	- - made sure to set the default height on the slice'n'dice bar to 0 to make sure it doesn't go crazy
	- - fixed the 'bar visible' checkbox to work again
	- - fixed a bug with the incoming heal bar being disabled and causing an oversized green bar to appear
	- - fixed typo in SunderCount causing it to not work
	- - fixed totems to work with 3.3.3
	- - MAJOR thanks to Shefki for finding and fixing most of the 3.3.3 issues! - fixed runes module - fixed a few other minor issues
shefki:
	- Fix textures on count modules.
	- Fix an error when changing the color of a CustomCD Bar.
	- Fix an error when trying to change the color of a custom bar.
	- Fix for druids logging in with a messed up ticker bar when predictedPower is turned off.
	- Fix for removal of SetTexCoordModifiesRect in 3.3.3.
Parnic:
	- - super temporary hack to get IceHUD back into a working state. this forces all users to use the RivetBar preset since straight vertical bars are the only things that work right now. a future update will fix the problem for real
	- - hopefully fix a bug where the cast bar could sometimes try to access nil
	- - user-submitted modification to last user-submitted threat fixes
	- - added user-submitted modifications to the threat bar so that mirror image and fade will display the threat the player will have when they wear off. this is largely untested by me
	- - added user-submitted "reverse direction" option that lets bars fill top to bottom instead of bottom to top - added user-submitted horizontal position slider to lacerate count module
	- - added vertical offset option to the mirror bar handler
	- - close the config window if the user tries to open it when it's already open (http://www.wowace.com/addons/ice-hud/tickets/33-toggle-ice-hud-on-and-off/)
	- - added user-submitted PlayerCC and Target/PlayerInvuln classes - added user-submitted root and silence groups to the CC modules - filled out CC list a bit more with user-submitted spell id's
Phanx:
	- - Added support for CUSTOM_CLASS_COLORS (ticket #26)
Parnic:
	- - added Entangling Roots and Intimidating Shout to the CC list
	- - updated interface version to 3.3
	- - replaced libhealcomm-3 support with libhealcomm-4 support
	- - updated the incoming heal bar to use the correct color
	- - potential fix for user-reported runes error
	- - the player's cast bar can now optionally change color whenever the target goes out of range. this is currently enabled by default
	- - added support for custom bars to track by substring instead of an exact match
	- - potential fix for user-submitted totem bug: http://www.wowace.com/addons/ice-hud/tickets/29-error-when-dismissing-totems/
	- - changed the vertical position extents to 600 instead of 300 by request
	- bug http://www.wowace.com/addons/ice-hud/tickets/28-add-hex-to-target-cc-module/ - added Hex to the CC list as an incapacitate effect
	- - fixed a custom bar bug for users with rock + fubar that tried to use the right-click cascading menu to configure things
nemes:
	- nemes: add PetInfo module
Parnic:
	- - maybe fix some vehicle issues in ulduar
	- - bumped toc to 3.2
profesorneurus:
	- Merge 429-430 back into PlayerHealth. Sry.
	- Hopefully fixed issues with Party Frames being shown when Pitbull and other Unit Frame addons are present
Parnic:
	- - updated every other reference to a bar's texture to use the accessor method instead. this allows overridden textures to work globally
	- - fixed custom textures not applying to "low threshold" or "cast lag indicator" sections of various modules
profesorneurus:
	- Fixed issues with Party Frame reappearing and not being properly updated when the party composition, leader or member's order changed (both in/out of combat).
Parnic:
	- - fixed an error when entering configuration mode with a custom counter set to graphical mode
	- - changed custom module pruning iteration to run from #elements to 1 instead so that table.remove doesn't screw itself
	- - fixed custom bars throwing all sorts of errors when creating/changing profiles with them active
	- - made the GetDifficultyColor change slightly more backward-compatible
	- - removed entering/exiting vehicle events since we really only care about entered/exited - made sure to check that the unit who entered/exited a vehicle was actually the player before swapping out units. this was causing the player's health/mana/casting bars to go crazy in battlegrounds and anywhere that people were getting in and out of vehicles around the player
	- - fixed the pet/vehicle cast bar not being hidden when hiding the "blizzard cast bar" via the player cast module
	- - changed GetDifficultyColor to GetQuestDifficultyColor. looks like this function was deprecated a while ago, but was removed in 3.2
	- - fixed the "hide blizzard buff frame" checkbox not hiding temporary enchants (weapon buffs)
profesorneurus:
	- Added an option to PlayerHealth, to disable party frame even when not in raid.
Parnic:
	- - added user-submitted totems module based on the runes module
	- - added a focus threat module by request
	- - increased maximum horizontal text offsets for all bars - added 'force justify text' options to the player cast bar like most other bars already had
	- bug http://www.wowace.com/projects/ice-hud/tickets/18-use-new-vehicle-api-to-switch-player-bar-to-vehicle/
	- added support to player health, mana, and cast bars to change which unit they are monitoring to be the vehicle when the player enters one
	- - made custom bars and counters not be case-sensitive in their spells-to-be-tracked
profesorneurus:
	- Added option to activate both Alpha and Cooldown to DK runes
Parnic:
	- - made sure that the target cast bar properly calls up to its super when targets are changed. this makes sure that the internal "i has a target" variable is updated and the alpha settings are then respected as they should be ("ooc and target" takes precedence over "ooc and not full")
	- - made tooltips on the custom bar/counter/cooldown bar more helpful
	- bug http://www.wowace.com/projects/ice-hud/tickets/20-alt-tabbing-to-windows-mode-breaks-bars-in-osx/
	- re-converted ArcHUD textures to blp using a tool that produces more reliable results
	- bug http://www.wowace.com/projects/ice-hud/tickets/19-entry-on-blizzard-addon-options/ - 19 - Entry on Blizzard addon options
	- added an entry to the default interface/addon options panel which opens IceHUD's configuration
	- - added user-submitted custom cooldown tracker module. thanks regmellon!
	- - really fix the FangRune preset
	- - re-added missing FangRune bar texture
	- - added buff timer configuration modes to the custom bar
	- - added a rough version of tracking weapon buffs to the player info module
	- - added a 'display when empty' option to the custom bar that will make it still draw even if the specified buff/debuff is not present
	- - removed some very old settings migration code that was causing problems for new users. this was added a very long time ago to facilitate the move from account-based settings to profile-based settings which should be completely unnecessary now
	- - added an option to allow modules to hide the animation options in the configuration panel - made SnD hide the animation options so that people can't break the bar by enabling animation
	- - added ability to specify a different texture on individual bars than the global one chosen on the main bar configuration panel
	- - added more reminders that you have to press Enter after typing strings into various configuration panels before they will save
	- - added support for the PlayerInfo module to hide the default buff frame
	- - added support for mh/oh weapon enchants to the custom counter module
	- - added the ability to track mh/oh weapon buff durations with the custom bar
	- - if a module is set to always be at 100% alpha, make sure the internal 'alpha' variable is set to 1 or else any custom color's alpha will override it
	- - added a ToT cast bar (disabled by default)
	- - added a couple of reminders to press [enter] after typing into text boxes in the custom bar/counter configuration screens - fixed a bug causing rune cooldowns to not reset when the player died/res'd if the module was in alpha mode
	- - fixed display of buffs on the player not cast by the player for custom bars
	- - more minor cleanups before tagging a new release version
	- - cleaned up some code from my fights with SetTexCoord/nan
	- - NaN-safe'd IceHUD's Clamp function to finally put the kibosh on any SetTexCoord errors
	- - added tons of divide-by-zero protection all over the place - general cleanup of values passed to UpdateBar
	- - fix for a bug causing the runic power bar to sometimes not update if the player spent all of his remaining runic power at once (like hitting death coil with 40 runic power left)
	- - next attempt at fixing SetTexCoord 'out of range' errors...i really can't figure out why this is all of a sudden popping up an error in 3.1 :(
	- - added support for binding a custom bar/counter to a larger variety of units (pets, focus targets, etc.)
	- - another shot at fixing the TexCoord errors some users are seeing
	- - updated all modules to use the new UnitAura return value that tells who the caster was. now checking if that return == "player" for figuring out if the player cast it or not
	- - added some protection against error messages that were popping up related to SetTexCoord - added some protection against a nil access in the player's cast bar under certain circumstances
	- - TOC bump to 3.1
	- - made the TargetInfo able to be inherited from - added a PlayerInfo module (off by default, user requested) that inherits from TargetInfo and adds right-click dismissing buffs functionality
	- - made custom bars/counters work with alpha settings properly - made multiple custom bars work together nicely...bad programmer for making local properties instead of class properties
	- - added CustomCount module that behaves like the custom bar, but lets the user create a custom counter (the same as the sunder/lacerate/maelstrom counters...could replace those, but they're already in and being used by people, so...bleh) - fixed up the buff/debuff retrieval convenience functions to work off either texture name or buff name. also changed up how it picks whether or not to get only buffs from the player
	- - increased the min/max vertical offset for bars by request - fixed a minor typo in the maelstrom counter options - removed extraneous function from the custom bar
	- - added a header to the properties that are specific to the custom bar so that the options are easier to parse visually - grouped all custom bar settings together so they're easier to see - made sure that custom bar settings are disabled when the module is disabled
	- - allow the custom bar to optionally only trigger for buffs/debuffs cast by the player
	- - changed the custom bar creation code to name each bar as the highest-numbered bar +1. e.g. if a bar "MyCustomBar4" exists and the user creates a new bar, the new bar will be called MyCustomBar5 (even if 1-3 don't exist any more, just to avoid complications). This way, each custom bar gets a unique name and users can't stomp an old custom bar by creating a new one without changing the old one's name first
	- - added information dialog when creating a new custom bar about how to use it - added confirmation dialog when deleting a custom bar to tell the user that it cannot be undone - made the custom bar's upper text match the buff/debuff that the user wants to track (it's still editable by the user, but it defaults to the buff name) - made bar color apply properly when the module is created and when configuring without the bar active
	- - basic functionality for a module created at runtime by the player to track a specific buff or debuff (by name) on the player or his target
	- - fixed a bug with text alpha being unchangeable with LibDogTag usage disabled
	- - added toggle to enable/disable showing incoming heals on the player's health bar. also cleaned up the implementation a bit to display more consistently and hide when appropriate
	- - added toggles to show/hide spell cast time and spell rank on player/target cast bars
	- bug http://www.wowace.com/projects/ice-hud/tickets/16-visual-heal-support/ - added support for LibHealComm by request. not included with the mod, but listed as an opt dep - added LDB support by request/from user-submitted code. this basically will only work if a mod that loads before icehud has LDB included
	- - fixed HfB buff % (from 3 to 5) and added a version check so that it's correct whenever 3.1 comes out as well (goes to 1 charge of 15% instead of 3 charges of 5% each)
	- - fixed divide-by-zero causing a crash on the PTR (this *really* shouldn't cause a crash since it's UI script, but it would appear that the engine is not check for div-by-0 on the PTR. this could potentially happen in a lot of other places...)
	- bug http://www.wowace.com/projects/ice-hud/tickets/13-low-health-colour/ - Low Health Colour
	- added user-submitted ability to color a bar based on the low threshold. if it's above the threshold, the bar is max health/mana color, below the threshold is min health/mana color
	- added a toggle to allow specifying whether or not to flash a bar when it falls below the low threshold
	- bug http://www.wowace.com/projects/ice-hud/tickets/14-taint-issue-with-focus-module/ - Taint Issue with Focus Module
	- changed to using RegisterUnitWatch on the focus module
	- - added a configurable RunicPower color to the player, target, and tot mana bars - made runic power behave like energy and rage for the "low threshold" flashing behavior
	- - properly set flash frame bar width
	- - potential fix for a castbar bug with channeled spells
	- - made the cast bar lag use the bar texture instead of the background texture. works much better to color on top of
	- - possible fix for a vague user-reported bug that i can't reproduce
	- - added user-requested toggle to color the TargetHealth bar by hostility if the target is an NPC and the bar is set to use class coloring (instead of health % coloring) - cleaned up the options and options dependencies a bit in the target health module
	- - added a fourth line of text (empty by default) by request to the TargetInfo module
	- - fixed a bug introduced in 1.4 that was causing taint in the target health module
	- - fix for HfB text staying on the screen after the buff has timed out (Thanks Tunde!)
	- - set HfB bar to be always visible (even with 0 duration) because secure/clickable frames cannot be dynamically shown or hidden during combat unless they're directly tied to a unit's targeted status - cleaned up "allow click casting" option to properly disable itself without having to reload the ui
	- - re-added click-targeting on the target health bar (optionally). this time using RegisterUnitWatch so that it shows and hides properly even in combat
	- - made the threat module use raw threat percentages by default so that its display matches Omen's. - added an option to the threat module to display the scaled percent (the old method) instead of raw. this will cause it to disagree with Omen, but it's displaying the same information, only in a different way
	- - fixed range check module to work with dogtags disabled
	- - separated alpha settings for "OOC and target" and "OOC and not full"; existing user settings are preserved (target gets copied to the new Not Full setting) the first time this version (or later) of the addon is loaded by a user with existing settings
	- - added settings to allow greater customization of buff/debuff frames in the TargetInfo module (grow direction, anchor points, offsets)
	- - unified icon configurations for the target health bar (pvp, raid, classification) and prettied up the options a bit
	- - added graphical gap settings to combo points, lacerate/sunder/malestrom count, and runes modules
	- http://www.wowace.com/projects/ice-hud/tickets/10-unable-to-reset-with-a-error/ - "Reset" configuration now works properly
	- - changed default GCD spell for rogues to be sin strike instead of cheap shot
	- - fixed a potential nil access if some other mod has redefined RAID_CLASS_COLORS like a naughty little addon - clarified some settings text a smidge
	- - added Shockwave to the CC list
	- - added mage Deep Freeze to the CC modules
	- - vehicle fixes! vehicles now regenerate mana/energy properly instead of relying on events to fire (which seem to be too slow) - pet bar is now properly colored for all types of vehicles (was sometimes failing previously for vehicles with energy)
	- - fixed bug with changing profiles created by r320
	- - added separate configuration for the "resting" and "combat" portions of the player status icon - prettified/organized some configuration screens a bit
	- - made sure that "lower text" and "upper text" configuration options are not present if a given module cannot use dogtags
	- - fixed a bug that caused the /icehud slash command to not work when the addon was disabled (and therefore be unable to re-enable it). ouch!
	- - fixed an error when adjusting the status icon's position while it's not visible on the screen
	- - fixed TargetTargetMana bar to be able to use its own colors instead of inheriting what TargetMana was set to
	- - fixed buff/debuff filter in the TargetInfo module to properly filter on hostile units as well as friendlies. not sure why this was setup to ignore the filter for hostiles in the first place, but it was just creating confusion
	- - fixed a bug in the HfB module causing all sorts of havoc to be wreaked when trying to activate animation on the bar
	- - added black background to TargetOfTarget bar for readability - made ToT text vertical align to CENTER instead of TOP so that it scales appropriately - made ToT bar color always green so that names aren't covered up when they match the reaction color - made ToT name/health percentage color always white instead of the reaction color for visibility reasons
	- - added pvp indicator to TargetHealth/TargetTargetHealth bars - moved some icons into their own Icon Settings group for the TargetHealth/TargetTargetHealth bars configuration
	- - fixed localization problem with clicking HfB bar to cast HfB (untested, submitted by module author)
	- - removed the rogue-/druid-only restriction since the Malygos fight needs combo points on the drakes
	- - fixed http://www.wowace.com/projects/ice-hud/tickets/8-module-target-info-long-targetnames-overwrites-the/ : target name in the TargetInfo module no longer spills to the next line or gets cut off if it's too long
	- - made the threat module only display while the player is in combat or the player has some threat on his target - added an option to only display the threat module while in a group. set by default
	- - adding HungerForBlood user-submitted module. I don't have an assassination rogue and don't plan on having one, so this is _untested_ by me. the author is responsible for fixing bugs in it - also updated a few settings in SliceAndDice to conform with the rest of the mod
	- - switched from UnitIsInVehicle to Blizzard's method of UnitHasVehicleUI for determining where to get combo points from - registered ENTERED_VEHICLE and EXITED_VEHICLE events to update the combo points appropriately
	- - possible fix for malygos fight where the player uses combo points while in a vehicle
	- - made runes flash when they become active whether the cooldown or alpha setting is being used
	- - set independentProfile true so that the profiles menu appears again
	- - added proper support for profiles instead of storing everything in account-wide un-customizable settings - added FuBar support...why has this not been in and why haven't i noticed it?!
	- - added an option to allow Rune cooldowns to be displayed in either a cooldown wipe or a simple alpha fade
	- - added the ability for runes to draw vertically stacked. new configuration option to choose horizontal/vertical alignment
	- - added a cooldown wipe to Runes with a "shine" when the cooldown is over (cooldown currently displays in a square instead of adhering to the circular icon...working on that) - added the ability for elements to boost the alpha value a bit. runes were way too dark previously - removed all of the background code for runes since the cooldown wipe makes it extraneous
	- - changed default for rune module to not be locked at 100% alpha
	- - fixed a potential nil access problem in the CastBar - fixed a bug causing TargetInfo lines to be forced to contain data. now any of the lines can be empty if the user chooses
	- - more fixes to the Runes module's visibility when entering/exiting combat, etc.
	- - added some sanity checking to the runes module so that we don't try to create a rune that doesn't exist...this shouldn't ever catch anything, but arenas seem to cause issues so who knows
	- - fixed a bug with PlayerMana disabling OnUpdate code for warriors and DK's when their bar was full instead of when it is empty - fixed a bug with DK runes appearing to be available as soon as a fight was done instead of when they actually became available again
	- - hopefully fixed a bug with max'ing out the player's mana bar with a mana potion, life tap, mana gem, etc.; now letting the animation finish out normally before turning off the OnUpdate
	- performance optimizations: - only run the OnUpdate code for the player mana bar when the player's power is not full - never run the every-frame OnUpdate for TargetMana or DruidMana bars since we don't need quite that level of granularity
	- - fixed a bug with showing the "spellcast failed" flash on the player's castbar if the player tried to activate a trinket/cast another spell while casting a different one
	- - added a global toggle for DogTags so they can be enabled or disabled for the mod - added an optional rare/elite/rare-elite indicator to the target health bar (off by default) - made configuration mode show target raid icons (and the new elite indicator as well)
	- - fixed a bug in the TargetInfo module that cropped up in 3.0 when LibDogTag is not present causing the module to not display
	- - reverted the click-targeting on the target health bar since it caused a lot of problems
	- - added click-targeting to the TargetHealth module for raid icon ease (off by default)
	- - potentially fix a bug with disabling the predictedPower cvar while the game is running
	- - fixed some modules holding the config text after exiting config mode
	- - set FocusCast default vertical offset to match focus health/mana bars. oops.
	- - made "configuration mode" display the name of the bar underneath it. causes things to get a bit crowded-looking, but helps distinguish bars a little better
	- - set focus cast default scale to match focus health/mana - set default sides and offsets on all bars to avoid them overlapping each other (fixes mirror/threat overlap and a few others)
	- - added an option to force text justification on all bars
	- - made maelstrom count mod be enabled by default now that it's verified as working
	- - made lacerate and sunder modules show up in configuration mode - added an extremely untested MaelstromCount module based off the other Count modules. I do not have a shaman with maelstrom to test this with, but I did confirm that it at least doesn't throw any errors ;) - set lacerate default vertical position such that it is out of the way of the combo points module instead of on top of it - fixed a bug where "graphical glow" and "graphical clean" presets did not work on lacerate and sunder count modules
	- - extracted some functionality from the lacerate and sunder count modules to IceHUD for determining spell/ability buffs/debuffs on units. also fixed a small 3.0 bug in said modules for determining if the buff/debuff belonged to the player or not
	- - added an option to only show the CC bars if the current CC was cast by the player - also includes a new rangecheck revision that doesn't throw errors when targeting
	- - added an option to hide the new blizzard focus frame in the focus health module - added an option to make the focus health module clickable to target your focus - fixed a bug in player health's targeting where the clickable area was in the wrong spot when the bar was flipped to the right side
	- - changed the default for catching mouse clicks on the player health frame to false. it was causing too much confusion
	- - fixed a problem with the target/focus CC bars not updating properly since the 3.0 patch
	- - whoops, gave the player castbar a name in IceHUD's class instance. thanks greywithana :)
	- - fixed runes module misbehaving after loading into the world when ooc alpha was set to 0
	- - made "config mode" only show bars that are currently enabled - made combo points module show 5 combo points while in config mode - added horizontal offset to combo points module - added ability make combo points add vertically instead of horizontally (if in graphical mode)
	- - made alpha settings properly affect non-bar elements (range finder, targetinfo, combo points, etc.) - something's busted with the rune module if you spawn into the world and that module is at 0% alpha...trying to track that down now, but i gotta go to bed. could be a result of this change, maybe not.
	- - probable fix for debuffs appearing as "own buff size" when they shouldn't have
	- - fixed a potential nil access in the cast bar
	- - fixed "own buff size" to work properly for buffs you cast on targets instead of buffs they cast on themselves
	- - fixed an error when selecting the ArcHUD preset - set the config to refresh itself when a new preset is selected so that the config screen is updated
	- - added an option to only show the target mana/power bar if the target uses mana (by request)
	- - increased vertical offsets (by request) - fixed Slice and Dice module for new Imp SnD talent values as well as the new SnD glyph
	- - changed the defaults for hiding the blizzard frame on the player and target health frames...i have a feeling i'm going to tick off a whole different subset of people by changing this, but we'll see.
	- - officially removing support for libmobhealth since it's no longer necessary (this has technically be unsupported for a long time, but some config options still existed for it)
	- - added user-submitted ArcHUD-like textures and preset - modified cast lag and threat pull indicators to use a custom color instead of being an alpha'd version of the background - fixed a bug where runic power would use the "not full" aggro setting when it was empty (it should behave like rage and treat "not full" as empty)
	- - updated to use @project-version@ keyword sub format so I don't have to keep this manually updated
	- - whoops, added new textures to the "textures" list instead of the "presets" list...my bad :P
	- v1.3.3-Release - interface version up to 3.0! hooray new stuff. - mod version bumped to 1.3.3 for all the new stuff and 3.0 client compatibility - made the threat module wow 3.0-compatible (these changes do not branch based on interface version due to the removal of lots of libs...there's no goin' back now!) - fixed text display on threat module to actually show threat % as intended - extracted MathRound function to make it accessible to all modules instead of being embedded within TargetHealth - added a few more user-submitted bar textures - removed LibDruidMana and fixed up DruidMana module to work with the new UnitPower API
	- - fixed a bug causing the mirror bar to not obey "offset" setting - made the mirror bar's text stop bouncing up and down based on its offset setting. now will always remain in the same place (since there are vertical/horizontal adjustment sliders for this text already)
	- v.1.3.2 - bumped toc version of icehud to 1.3.2 in preparation of the next repo tag - made aggro alpha setting on the threat bar actually work
	- - replaced the glow arc textures with a new version supplied by the author
	- - changed a couple of defaults on the new bar texture presets for additive versus blended draws - widened the maximum gap once again to 700 by request (from 500) - hoping the curse packager works this morning ;)
	- - fixed a bug from the last check-in with pre-wotlk clients (GetCVarBool doesn't exist?!)
	- - fixed a bug that caused mana frames to stop updating properly in wotlk under certain conditions
	- - added 3 new user-submitted bar textures (GlowArc, CleanCurves, and BloodGlaives) and 2 new user-submitted combo/sunder/lacerate count textures (Glow and CleanCurves)
	- - added bar/background graphical blend mode options so we can have us some snazzier artses
	- - made lag indicator on the player's cast bar respect the bar width setting
	- - made castbar text respect alpha settings
	- - updated lib references to their new names
	- v1.3 - setup some opt-deps as a test
	- - increase maximum gap setting by request - added horizontal positioning option to the Runes module (and made sure it was properly centered by default instead of being off to the left) - changed log template on main dir, moved callbackhandler to the top of the list for embeds, externals, and pkgmeta just to keep everything uniform and make Threat load properly
	- - changed pkgmeta from lib-stub to the correct libstub (and set to the 1.0 tag)
	- - attempt the first at making the packager behave ;)
	- - general cleanup: removed acedebug stuff, re-ordered a few things to load cleaner, changed mod category from unitframes to huds, etc. - fixed threat-2.0 by embedding required libs for it (ace3 stuff)
root:
	- Facilitate WowAce-on-CurseForge transition
Parnic:
	- - added simplistic RangeCheck module
	- - added Threat module (since the standalone one on WoWI has been abandoned. this is simply the code for that addon + fixes from acapela for Threat-1.0 to Threat-2.0); disabled by default
	- - made TargetHealth and TargetMana extensible so that new unit bars can be made from them easily - added TargetTargetHealth and TargetTargetMana (idea and some code borrowed from Dark Imakuni at http://www.wowinterface.com/downloads/info10699-IceHUD-TargetofTarget.html )
	- - added support for new combo point, sunder/lacerate count textures - added a new round combo point texture (user-submitted) - fixed a bug in the slice and dice module that caused it to stay visible for much longer than it should have under certain circumstances
	- - fixed TargetOfTarget module's error message as of wotlk beta 8962
	- - added 3 new user-submitted bar presets/skins (thanks KcuhC!)
	- - added horizontal positioning option to the ToT module by request - added an option to disable click-targeting while in combat by request
	- - re-fixed cascading buffs when "buffs per row" was used for the TargetInfo module
	- - fixed own buffs/debuffs in the TargetInfo module overlapping the icons next to them
	- - added user-requested feature to resize TargetOfTarget module so it doesn't have to fit to the hud's gap setting
	- - added user-requested per-bar vertical offsets and setup pet and focus bars to fit within the vertical center of the hud
	- - fixed buff/debuff cooldown display on TargetInfo module in wrath
	- - updated SunderCount/LacerateCount modules to use the new UnitDebuff return values in wotlk properly/register the changed wotlk events - updated SliceAndDice module to be more efficient outside of combat (avoids unnecessary OnUpdate stuff) - updated SliceAndDice module to use the new UnitBuff return values in wotlk properly/register the changed wotlk events/new combo point parameters - updated DruidMana module to update every frame in wotlk since the other mana frames need to...this still needs dogtag to be updated to work fully in wotlk - updated ComboPoints module to use the new combo point functionality and events in wotlk
	- - now fully compatible with blizzard's "predicted power" system to constantly show energy/mana gains instead of ticking them
	- - removed UNIT_RUNIC_POWER hack in player & target mana modules since blizzard seems to have fixed the bug in the latest beta build - fixed bug with runes module where the last rune would never show as being used (because i was thinking in 0-based array world) - added hax to the runes module to swap placement of frost and unholy runes since blizzard has had their hack in for 2 builds now
	- - only show Lacerates if they were applied to the target by the player (not by other players); had problems with bear tank + feral dps in the same group - made the same change to SunderCount's version of the debuff function, but didn't set it to restrict to the player
	- - increasing higher vertical positioning from 200 to 300 for the runes module by request
	- - added user-submitted FocusCast module
	- - updated to use the new rune graphics - frost and unholy are in their old locations still in this module...we'll see if Blizzard leaves their rune swap hack in before changing it
	- - err, removed a debug message from Runes module. couldn't hit cancel fast enough...
	- - added a workaround for DK runic power (and probably all power types) not updating after the new "predicted power" stuff that was added in the beta. specifically, UNIT_RUNIC_POWER doesn't fire any more with the predicted power system since it's supposed to build up slowly. this caused the runic power bar to never get updated as it degenerated. copied the "working" version from blizzard's UnitFrame.lua code (see UnitFrameManaBar_Initialize) - fixed a lua error that was popping up every time the player mounted as a DK (why the crap do rune events fire for the non-existent rune 7 and 8 when you mount?!)
	- - added cyclone to cc list
	- - added DK CC spells to CC list - added DK runes module
	- - fixed a typo in combo points module - added missing 'then' in gcd module - removed registration of unnecessary events in player and target mana for DK rune stuff
	- - added rune stuff for DK's in wotlk - fixed args returned from UnitBuff in wotlk - added default DK spell for gcd module
	- - removed LibGratuity-2.0 (or GratuityLib, whichever you wanna call it) since only the DruidMana module used it and even then only if the user didn't have LibDruidMana installed. now LibDruidMana is required instead of falling back to Gratuity...the Gratuity method was broken for powershifting anyway
	- - fixed GCD module to work in all localizations - also cleaned up space/tab formatting
	- - fixed CC bars to work for any loc by using GetSpellInfo along with a list of spell ID's for each CC spell it supports (thanks to Arrowmaster/#wowace for the help!) - made FocusCC basically an empty shell that just inherits from TargetCC and specifies a different unit (should have done this in the first place...) - cleaned spacing/formatting in TargetCC module
	- - moved CallbackHandler into the externals instead of embedding it directly into the mod. LSM-3.0 won't load cleanly without it
	- - removed LibMobHealth from the externals list and the embeds xml - added LibDogTag-Unit to the optional deps list
	- ICE-10 - modified X-Embeds directive for WAU to pull the proper embedded libs
	- - maybe fix reported bug with Shackle Undead not working for the CC bars
	- - fixed text display for non-dogtag strings
	- - whoops, missed this module in the LSM-3 update
	- - switched from LSM-2 to LSM-3
	- - fixed GCD for non-rogues/cat form druids (user-submitted)
	- - added user-submitted LacerateCount module
	- - added focus health and mana bars. disabled by default
	- - added optional sizing for (de)buffs i cast versus other players
	- - added Shackle to the CC bar's list of CC's
	- - added text readout of potential snd time next to current snd buff time - added configurable color for snd potential bar
	- - fix equip locs for non-english clients
	- - made the SnD module optionally show a shadow of the duration bar as you build combo points. this shadow will show how long your snd will last if you hit it right then
	- - made SnD module work for non-english clients - added a toggleable option to make the bar show as a percentage of the maximum attainable slice and dice time (with set bonuses and talents accounted for) instead of going from full to empty no matter the duration
	- - fixed a rare error that could occur when bars appeared or disappeared
	- - widen the minimum width for the TargetInfo module to account for long NPC names
	- - added width scaling to individual bars
	- - allow horizontal positioning of the TargetInfo module
	- - fixing a bug where Banish wasn't triggering the CC bar
	- - changed DruidMana module to (optionally) work with LibDruidMana/DogTag for simplicity/compatibility purposes
	- - fixed a bug with the low health flashing frame if alphas are set to 0
	- - updated the TargetInfo default dogtag by request
	- - adding 4 new modules care of Antumbra of Lothar server. Huge thanks to him for writing these!
	- - added a configuration mode to show all bars temporarily so they can be placed - changed how frames are shown and hidden so we don't call show/hide unnecessarily - widened the min/max offset numbers to allow greater placement flexibility
	- - performance improvement: only call SetTexCoord if the coords need to actually change this frame. brings cpu cost from 1% per bar to 0.5% per bar. WIP
	- - fix for error message displayed when enabling the mirror bar
	- - whoops, update targetinfo dogtag to display the word "Combat" when in combat instead of "True"
	- - updated to support LibDogTag-3.0 - on first run, forced reset all custom DogTags to the module default since some of the old default tags no longer work
	- - 2.4 toc update
	- - don't explicitly set widths on fontstring frames so that long dogtags or huge fonts/mob names don't get cut off
	- - named the player targeting/click frame so it shows up in Clique's config
	- - made castbar "lock text alpha" setting actually access the correct variable
	- ICE-7 - added LibMobHealth-4.0 to externals/embeds so people without other ace mods get estimated health values properly - added an option to allow shortening health values or not (1100 => 1.1k) for non-dogtag people
	- ICE-8 - made default dogtag for fractional health into CurHP:Round/MaxHP:Round since FractionalHP liked to show decimals and wouldn't :Round - expanded raid icon placement ranges to allow more flexibility
	- - fixed bar transparency when going in and out of combat...hooray OOP!
	- - fixed a bug where the resting icon would stay on way too long (nasty typo bug...)
	- - added icon to config for purtiness - made player icons and raid icons fade according to bar visibility and added a config option to make them always locked to 100% ICE-5
	- - added party leader, status, master looter, and pvp icons to the player health bar
	- - set all bars to animate by default - forced animation off for cast and mirror bars - made a change to the toc for a curse/wowinterface update
	- - added code to resize the clickable region based on the texture the player is using (the previous region didn't fit HiBar very well)
	- http://jira.wowace.com/browse/ICE-1 - added an invisible button below the player health bar to allow click targeting/casting and right-click menu functionality for the player (configurable)
	- - un-anchored pet health/mana text values to the bottom of the frame. now that vertical offsets are available, we can use them instead of anchoring/using setpoint - bumped up the default position of the pet mana/health values to get them out of the way of nearby bars - changed pet health/mana dogtags to display on the uppertext block instead of the lowertext block so it behaves and alphas like all other bars
	- - made TargetInfo module dogtag-aware (it's sentient!)
	- - fixed a situation where bar text could be at 0.1 alpha when the bar was set to 0 alpha
	- - disabled "draw raid icon on top" option if "show raid icon" is disabled
	- - fixed a bug where changing DogTag strings on any bar would require a /reloadui to take effect
	- - added a nil check for DogTag in case someone doesn't have it installed - added lower text alpha lock option - made text alpha settings work again with dogtag strings set
	- - made ComboPoints module only load for druids and rogues - added SunderCount module that behaves exactly like combo points, only for sunder debuffs on the target
	- - added bar/bg visibility options to mirrorbar, castbar, targetcastbar - shuffled bar/bg visibility options to show up after the Enabled option and to be disabled if the bar is disabled - removed OnUpdate registration for mirrorbar since it handles OnUpdate itself - fixed a potential nil access in the DogTag fontstring stuff
	- - set animation options to be always hidden on cast bars instead of just disabled (had to fill in some dummy strings...shouldn't matter much)
	- - added options to hide bar/bg by request - changed text to be hidden instead of just disabled if the text is invisible
	- - re-enabled DogTag after the stack overflow fix - changed to registering FontStrings on the parent class instead of Evaluate'ing each child every Update
	- - temporarily removing DogTag code so that Pitbull and IceHUD can play together in harmony until DogTag is fixed
	- - added configurable raid icons to the target health bar
	- - did minor options table cleanup and made a console /icehudcl command so that IceHUD gets picked up by rock config
	- - added an intermediate color to health/mana blending values so health goes green => yellow => red instead of brown in the middle
	- - added an option to animate the lost/gained amounts on each individual bar with a tweak-able speed
	- - added vertical/horizontal text offset options to the castbar
	- - add an option to the player cast bar to show the default cast bar or not
	- - add text offset sliders to MirrorBar's text settings
	- - since DruidMana bar uses an estimation of available mana, hide the text customization options
	- - moved text alignment options into the "text settings" options subset...durr
	- - fixed a problem with target cast bars not always interrupting properly (apparently UNIT_SPELLCAST_STOP doesn't reliably return the spell that's stopping for non-player units)
	- - fix "flash on failures" option not disabling when the player cast bar is disabled
	- - fix a rare case of accessing nil variables when bars are switching quickly
	- - removed an event trigger that was causing spells to show failure on the cast bar when they shouldn't have
	- - removed some local vars from the Update function to attempt to curb some hemorrhaging memory
	- - removed dependency on LibDogTag-2.0 by request. DogTag formatting is available if DogTag is present but IceHUD will use the old formatting otherwise
	- - check for the player interrupting the spell locally before it's had a chance to come back from the server
	- - blind commit to change the default colors for health/power for the player and target to be based on health/power amounts since the bars scale color by default
	- - added horizontal and vertical text offset sliders to each bar
	- - converted upper/lower text on most bars to use LibDogTag formatting for greater user control - added Deformat library references in embeds.xml
	- - committing a really old user-submitted fix (from the forums) for being able to set the minimum buffs/debuffs to 0 in the targetinfo
	- - implemented Quartz's method of checking spell interrupts through the chat interrupt events for hostile damage to attempt to fix IceCastBar not showing player interrupts
	- - fix up references to LibSharedMedia-2.0 after the library upgrade
	- - bump toc - added the ability to scale most health/power bars by the amount they're filled up with a customizable max/min color (health can go green to red, for example) - updated from SharedMedia-1.0 to LibSharedMedia-2.0
iceroth:
	- Fixed a problem with cast bar disappearing when seals activate during cast
mecdemort:
	- Possible fix for nil error in TargetInfo
	- Updated .toc and converted to embeds.xml
	- TargetInfo and TargetOfTarget mouse-over fixes.
iceroth:
	- Toc change
	- Added an event handler for target name change
	- - Fix for the alpha problem in graphical combo point display (thanks Kurathor) - Scaling for every bar - Horizontal position adjustment for you dual screen freaks
	- SharedMedia <3
	- Fixed frame level problem in buff timers
	- Possible fix for weird buff texture problem (vol 2)
	- Possible fix for weird buff texture problem
	- Silly bugs..
	- Added buff/debuff duration animations
	- Fix for channeling lag indicator positioning
	- Moved lag indicator for channeled spells to the bottom of the bar
	- Liiitle fix
	- Version 0.9 - New round bar texture - Standalone druid mana bar - Lots of stuff I can't remember
kergoth:
	- .Line ending fixups in .toc files (they werent in my .subversion/config autoprops)
iceroth:
	- Bug fixes.. (lag indicator and resting status)
	- When resting, PlayerHealth absolute value goes white
	- Version "Whiny rogues who file feature requests as bugs"
	- Bug fixes and a lag indicator for CastBar
	- Enable/disable for TargetInfo and TargetofTarget now works properly
	- Fixes and patches
	- Version 0.8 - 2.0 compatible - Removed bunch of unused libs (recommended to delete your /libs folder before updating) - Added a restriction to open configuration settings only out of combat - TargetInfo module optimized (no longer eats your memory and babies when changing options) - Shows up to 40 buffs/debuffs, ability to filter buffs (never/in combat/always) - No longer uses SpellStatus lib (new events do everything worth doing) - New module TargetCast, basically does what Blizzard target frame cast bar does - Removed module TimerBar (it was next to useless) - Brackets around bar texts now toggleable - Some misc. bug fixes (eg. colors now change properly when a duel starts)
	- Fixed pet focus bug at TargetMana
	- Misc fixed and a preview for new texture (check 'Bar' type)
	- Fixed a pet happiness bug (most likely)
	- Changed frame stratas back to where they should have been all the time
	- Unit bars now have an option to pulse on set threshold
	- Reverted back to my latest revision. If you want to make changes to IceHUD, make a branch - don't touch this unless it's a clear bug fix and I'm nowhere to be found
schelli:
	- TargetOfTarget.lua : aggro sound will now not be played if target is friendly
	- TargetOfTarget.lua : added possibility to show the class of the TargetOfTarget
	- TOT.lua: Added the option to play a sound when you get aggro
	- added autocastbar functionality to castbar
iceroth:
	- Bugfixes
	- Fixed pet focus bug
	- Removed an unused lib and made a workaround for SpellStatus quirk
	- Version 0.7 - Added an option to change the bar colors - Using scheduled events now instead of Metrognome - Some small bug fixes
	- Little modifications to allow easier Sprocket usage
	- Added missing library, bugfixes
	- Modifications for Clique support
	- Added boss/rare classification to TargetInfo
	- Fixed libs and added rank to spells
	- SpellStatus lib is back in action
	- Bugfixes
	- TargetHealth bugfixes
	- Version 0.6 - Improved TargetInfo and ToT module - RoundBar texture looks better than ever - PlayerHealth and TargetHealth modules have an option to turn off Blizzard default frames - Fixed MH3 rounding bug
	- Fixed the MobHealth3 support I broke
	- Added rounding for MobHealth3 numbers
	- Bugfixes & improved RoundBar texture
	- Version 0.5 - Graphical combo points - Various tweaks and bug fixes (ie. mirror timer bar)
	- Attempt to fix nil problem in CastBar
	- Dropped SpellStatus. Third alpha stage applies to nonempty bars as well now.
	- Mac friendly textures
	- Updated TimerBar to reflect changes in ToFu
	- - Even more configuration options - SpellStatus lib for spell casting (shows rank now too)
	- Removed a MH2 relic
	- Changed support from MobHealth2 to MobHealth3
	- I wonder if me and SetTexCoord() could be friends one day
	- Version 0.4 - New bar type - More configuration options
	- Another little tweak to energy ticker
	- Fixed an energy ticker bug
	- Added names for "main" frames
	- Disabled MobHealth2 support as default (enable from TargetHealth settings)
	- DruidMana now properly unregister metro when disabled
	- Fixed broken externals. I hope this isn't becoming a habit.
	- Updated the TOC as well for AceHook...
	- Added missing IsAddOnLoaded check for DruidMana
	- - Added MobHealth2 support - Added check if ToFu is enabled for TimerBar
	- Fixed a misplaced default setting
	- Version 0.3 - More configuration options - Added another texture option for bars - /icehud now opens Dewdrop menu directly - Rogue/cat energy ticker
	- Fixed AlphaOOC 0 problem with bar texts
	- Fixed a bug with disabled bars
	- Version 0.2 - Added basic pet support - Added configuration (via both console and Dewdrop) - Fixed indexing problem with non-English clients
	- Moved version 0.11 to SVN
	- Created directory for IceHUD
